import json
import os

class Settings:
    CONFIG_FILE = os.path.join(os.path.dirname(__file__), 'user_config.json')
    MQTT_BROKER = "localhost"
    MQTT_PORT = 1883
    MQTT_USERNAME = ""
    MQTT_PASSWORD = ""
    MQTT_TLS = False
    MQTT_TOPICS = ["test/topic"]
    PROTOCOL_TYPE = "json"
    RESPONDER_TYPE = "alarm"

    @classmethod
    def load(cls):
        if os.path.exists(cls.CONFIG_FILE):
            with open(cls.CONFIG_FILE, 'r', encoding='utf-8') as f:
                data = json.load(f)
                cls.MQTT_BROKER = data.get('MQTT_BROKER', cls.MQTT_BROKER)
                cls.MQTT_PORT = data.get('MQTT_PORT', cls.MQTT_PORT)
                cls.MQTT_USERNAME = data.get('MQTT_USERNAME', cls.MQTT_USERNAME)
                cls.MQTT_PASSWORD = data.get('MQTT_PASSWORD', cls.MQTT_PASSWORD)
                cls.MQTT_TLS = data.get('MQTT_TLS', cls.MQTT_TLS)
                cls.MQTT_TOPICS = data.get('MQTT_TOPICS', cls.MQTT_TOPICS)
                cls.PROTOCOL_TYPE = data.get('PROTOCOL_TYPE', cls.PROTOCOL_TYPE)
                cls.RESPONDER_TYPE = data.get('RESPONDER_TYPE', cls.RESPONDER_TYPE)

    @classmethod
    def save(cls):
        data = {
            'MQTT_BROKER': cls.MQTT_BROKER,
            'MQTT_PORT': cls.MQTT_PORT,
            'MQTT_USERNAME': cls.MQTT_USERNAME,
            'MQTT_PASSWORD': cls.MQTT_PASSWORD,
            'MQTT_TLS': cls.MQTT_TLS,
            'MQTT_TOPICS': cls.MQTT_TOPICS,
            'PROTOCOL_TYPE': cls.PROTOCOL_TYPE,
            'RESPONDER_TYPE': cls.RESPONDER_TYPE
        }
        with open(cls.CONFIG_FILE, 'w', encoding='utf-8') as f:
            json.dump(data, f, ensure_ascii=False, indent=2) 