from PySide6.QtWidgets import QApplication
from ui.main_window import MainWindow
from mqtt.client import MqttClient
from parser.factory import ParserFactory
from responder.alarm import AlarmResponder
import sys

def main():
    app = QApplication(sys.argv)
    mqtt_client = MqttClient()
    parser_factory = ParserFactory()
    responder = AlarmResponder()
    window = MainWindow(mqtt_client, parser_factory, responder)
    window.show()
    sys.exit(app.exec())

if __name__ == "__main__":
    main() 